> ## Documentation Index
> Fetch the complete documentation index at: https://api.polymarketanalytics.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch Wallet Trades

> MCP composite tool. Calls Sport Trades (597) in parallel for up to 50 wallets and returns a dict keyed by wallet address (with the per-wallet error captured rather than failing the whole batch).

**Platform:** Polymarket\
**Endpoint:** `POST /v2/semantic/retrieve/parameterized`\
**Authentication:** Bearer token

## Batch Wallet Trades

```bash cURL theme={null}
curl --request POST \
  --url https://narrative.agent.heisenberg.so/api/v2/semantic/retrieve/parameterized \
  --header 'Authorization: Bearer YOUR_TOKEN' \
  --header 'Content-Type: application/json' \
  --data '{
  "agent_id": 0,
  "params": {
    "proxy_wallets": "0x37c1874a60d348903594a96703e0507c518fc53a,0x8f037a2e4fd49d11267f4ab874ab7ba745ac64d6",
    "market_slug": "nba-",
    "side": "ALL",
    "start_time": "1712700000",
    "end_time": "2200000000",
    "limit_per_wallet": "50"
  },
  "pagination": {
    "limit": 10,
    "offset": 0
  },
  "formatter_config": {
    "format_type": "raw"
  }
}'
```

```python Python theme={null}
import requests

response = requests.post(
    "https://narrative.agent.heisenberg.so/api/v2/semantic/retrieve/parameterized",
    headers={"Authorization": "Bearer YOUR_TOKEN"},
    json={
    "agent_id": 0,
    "params": {
        "proxy_wallets": "0x37c1874a60d348903594a96703e0507c518fc53a,0x8f037a2e4fd49d11267f4ab874ab7ba745ac64d6",
        "market_slug": "nba-",
        "side": "ALL",
        "start_time": "1712700000",
        "end_time": "2200000000",
        "limit_per_wallet": "50"
    },
    "pagination": {
        "limit": 10,
        "offset": 0
    },
    "formatter_config": {
        "format_type": "raw"
    }
}
)

print(response.json())
```

```javascript JavaScript theme={null}
const response = await fetch("https://narrative.agent.heisenberg.so/api/v2/semantic/retrieve/parameterized", {
  method: "POST",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json"
  },
  body: JSON.stringify({
  "agent_id": 0,
  "params": {
    "proxy_wallets": "0x37c1874a60d348903594a96703e0507c518fc53a,0x8f037a2e4fd49d11267f4ab874ab7ba745ac64d6",
    "market_slug": "nba-",
    "side": "ALL",
    "start_time": "1712700000",
    "end_time": "2200000000",
    "limit_per_wallet": "50"
  },
  "pagination": {
    "limit": 10,
    "offset": 0
  },
  "formatter_config": {
    "format_type": "raw"
  }
})
});

const data = await response.json();
```

## Query Parameters

**proxy\_wallet** `String`

Comma-separated list of wallet addresses (max 50) (for example, `"0x37c1874a60d348903594a96703e0507c518fc53a,0x8f037a2e4fd49d11267f4ab874ab7ba745ac64d6"`).

**market\_slug** `String`

Slug prefix for sport filter, or 'ALL' (for example, `"Sports"`).

**side** `String`

BUY, SELL, or ALL (for example, `"ALL"`).

**start\_time** `String`

Unix timestamp (seconds). Default: 24 hours ago. (for example, `"1712700000"`).

**end\_time** `String`

Unix timestamp (seconds) for range end (for example, `"2200000000"`).

**limit\_per\_wallet** `String`

Max trades per wallet (for example, `"50"`).


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.